1.2. Compatibilité d'applications

Cette version de Red Hat Enterprise Linux fournit des dépendances de manière à ce que les applications conçues pour être exécutées sur de plus anciennes versions du système d'exploitation puissent continuer à s'exécuter avec un minimum d'interruptions. Pour ce faire, de plus anciennes versions des bibliothèques de clés ont été incluses afin de préserver les interfaces héritées qui auraient pu changer entre cette version et les versions plus anciennes. Ces bibliothèques servent en tant que dépendances principalement pour les applications écrites en C/C++.
Veuillez remarquer qu'il n'est pas nécessaire de tester ou de certifier à nouveau les applications entre les versions mineures de Red Hat Enterprise Linux. La politique de compatibilité de Red Hat Enterprise Linux garantit que les applications exécutées sur une version pourront continuer à être exécutées tout au long du cycle de vie de la version. Par exemple, les applications certifiées sur Red Hat Enterprise Linux 6 seront totalement compatibles avec Red Hat Enterprise Linux 6.1 et ainsi de suite.
Reportez-vous à la table suivante pour obtenir des détails sur ces paquetages de compatibilité :

Tableau 1.1. Bibliothèques de compatibilité

Paquetage Description
compat-db La bibliothèque de compatibilité de bases de données de Berkeley, Berkeley DB. La base de données de Berkeley (Berkeley DB) est un outil de programmation qui offre une prise en charge implantée de bases de données pour des applications client/serveur. Ce paquetage contient diverses versions de Berkeley DB qui avaient été incluses dans de précédentes versions.
compat-expat1 Expat est un analyseur XML orienté vers les flux. La bibliothèque de ce paquetage est compatible avec les versions précédentes.
compat-glibc glibc est la bibliothèque C utilisée pour les appels système et autres commodités de base. Ce paquetage offre compatibilité (et bibliothèques d'exécution) pour la compilation de binaires qui requièrent de plus anciennes versions de glibc et leur permet de s'exécuter sur cette version de Red Hat Enterprise Linux.
compat-libf2c-34 Ce paquetage offre de plus anciennes versions des bibliothèques partagées Fortran 77, celles-ci sont nécessaires pour exécuter des programmes Fortran 77 dynamiquement liés.
compat-libgcc-296 Contient la bibliothèque 2.96 libgcc.a et des fichiers objets de prise en charge pour conserver la compatibilité avec de plus anciennes versions de GCC.
compat-libgfortran-41 Ce paquetage inclut une bibliothèque d'exécution Fortran 95 pour la compatibilité avec les applications Fortran compilée avec GCC 4.1.x.
compat-libstdc++-295 Offre la compatibilité avec la bibliothèque C++ standard GNU version 2.95.
compat-libstdc++-296 Offre la compatibilité avec la bibliothèque C++ standard GNU version 2.96.
compat-libstdc++-33 Offre la compatibilité avec la bibliothèque C++ standard GNU version 3.3.
compat-libtermcap Ce paquetage offre la compatibilité avec les programmes basés termcap plus anciens.
compat-openldap OpenLDAP est une suite d'open source d'applications et d'outils de développement LDAP. Le paquetage compat-openldap inclut des anciennes versions des bibliothèques partagées OpenLDAP qui peuvent être requises par certaines applications.
openssl098e Ce paquetage fournit OpenSSL 0.98e, qui peut être requis pour certaines applications SSL.